> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useparagon.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Channel Message Updated

> Trigger when a channel message is updated in Slack

## Subscribe

Send this request body to [Subscribe to a Trigger](/actionkit/triggers/api-reference/subscribe-to-trigger) to start listening for this event on behalf of your user:

```http Subscribe Request theme={null}
POST https://actionkit.useparagon.com/projects/{project_id}/trigger-subscriptions

Authorization: Bearer {Paragon User Token}
Content-Type: application/json

{
  "integration": "slack",
  "type": "SLACK_TRIGGER_CHANNEL_MESSAGE_UPDATED",
  "parameters": {}
}
```

**Configuration options:**

This trigger does not require any configuration options.

## Example Payload

This is an example payload that Paragon sends to your configured webhook URL. Learn more about handling trigger payloads in [Receiving Webhooks](/actionkit/triggers/receiving-webhooks).

```json Example expandable theme={null}
{
  "type": "message",
  "subtype": "message_changed",
  "message": {
    "client_msg_id": "df1d041e-9c4a-4a09-a5ab-dff83ea4f48b",
    "type": "message",
    "text": "mail  password",
    "user": "U02T23UL0R1",
    "team": "TM7FL705V",
    "blocks": [
      {
        "block_id": "mock-block-id",
        "elements": [
          {
            "elements": [
              {
                "text": "mock-text",
                "type": "text"
              }
            ],
            "type": "rich_text_section"
          }
        ],
        "type": "rich_text"
      }
    ],
    "files": [],
    "display_as_bot": false,
    "upload": false,
    "edited": {
      "user": "U02T23UL0R1",
      "ts": "1682408029.257029"
    },
    "ts": "1682408029.257029",
    "source_team": "TM7FL705V",
    "user_team": "TM7FL705V"
  },
  "previous_message": {
    "client_msg_id": "df1d041e-9c4a-4a09-a5ab-dff83ea4f48b",
    "type": "message",
    "text": "mail ka password",
    "display_as_bot": false,
    "user": "U02T23UL0R1",
    "ts": "1682408029.257029",
    "blocks": [
      {
        "block_id": "mock-block-id",
        "elements": [
          {
            "elements": [
              {
                "text": "mock-text",
                "type": "text"
              }
            ],
            "type": "rich_text_section"
          }
        ],
        "type": "rich_text"
      }
    ],
    "files": [],
    "upload": false,
    "team": "TM7FL705V"
  },
  "channel": "D04B4K12K4J",
  "hidden": true,
  "ts": "1682576024.000100",
  "event_ts": "1682576024.000100",
  "channel_type": "im",
  "event_context": "mock-event-context"
}
```
